close all
clear all

datdir = 'c:\MyFiles\Teach\Networks\Data\';
dattxt = 'BCpAug89difft';
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
pritxt = dattxt;
tittxt = 'Time between packet arrivals';
n = 10000;
nwin = 500;
printmut = 1;
printd2 = 1;
ts = 1;
tmax = 20;

eval(['load ',datdir,dattxt,'.dat'])
eval(['xV = ',dattxt,';'])
xV = xV(end-n+1:end);

%% Mutual information
[mutM] = mutual(xV,tmax);
figure(1)
clf
paperfigure;
plot(mutM(1:tmax+1,1),mutM(1:tmax+1,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('I(\tau)')
title(sprintf('%s, Mutual information',tittxt));

if printmut 
%    set(gcf,'PaperPosition',[0 0 24 8])
    set(gcf,'PaperPosition',[0 0 20 10])
    eval(['print -djpeg90 ',pridir,pritxt,'mut.jpg'])
end

%% D2 plot
iV = [round(n/2)+1:round(n/2)+nwin]';
figure(2)
clf
paperfigure;
plot(xV(iV(1:end-1)),xV(iV(2:end)),'.','Markersize',18)
xlabel('x(t-1)')
ylabel('x(t)')
title(sprintf('%s, scatter diagram',tittxt));

if printd2 
    eval(['print -djpeg90 ',pridir,pritxt,'d2.jpg'])
end


