function InputPajek(txtC,adjM,filename)
% InputPajek(txtC,adjM,filename)
% INPUTPAJEK takes as input the node names in the cell array 'txtC', the
% adjacency matrix 'adjM' and the file name 'filename' to save the input
% file for Pajek (with path if needed).

[m,n]=size(adjM);
if m~=n, error('Adjacency matrix is not square.'); end
if ~iscell(txtC)
    txtC = cellstr(txtC);
end
[tmp1,tmp2]=size(txtC);
if m~=tmp1 | tmp2>2
    error('Number of node names does not agree with the size of the adjacency matrix.'); 
end
eval(['fid = fopen(''',filename,''',''w'');'])
fprintf(fid,'*Vertices %d \n',m);
for i=1:m
    fprintf(fid,'%d "%s" \n',i,txtC{i});
end
fprintf(fid,'*arcs\n');
for i=1:m-1
    for j=i+1:m
        fprintf(fid,'%d %d %d \n',i,j,adjM(i,j));
    end
end
fclose(fid);

