function [xM] = bidcoupledhenon(n,c1,c2)
% function [xM] = bidcoupledhenon(n,c1,c2)
% - n  : time series length
% - c1 : coupling strength 
% - c2 : coupling strength 
% 
% Reference (for System)
% - Lungarella et al 
% variation of coupling strengths form 0 to 0.4 
% - Battacharya et al (2003), Part B, Vol 33(1)
% IEEE Transaction on systems, man, and cybernetics, 
% variation of coupling strengths form 0 to 0.33 

x0limV = [-1 1 -0.3 0.3]'; 
x1(1)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))]; 
x1(2)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))]; %
y1(1)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))];
y1(2)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))];
%x2(1)=[(x0limV(4)-rand)/(x0limV(4)-x0limV(3))];
%y2(1)=[(x0limV(4)-rand)/(x0limV(4)-x0limV(3))];
for i= 2:n-1+303
    x1(i+1)= 1.4 - x1(i)^2 + 0.3*x1(i-1)+ c2*(x1(i)^2-y1(i)^2);
    %x2(i+1)=x1(i);
    y1(i+1)= 1.4 - y1(i)^2 + 0.3*y1(i-1)+ c1*(y1(i)^2-x1(i)^2);
    %y2(i+1)=y1(i);
end

XX =[x1' y1'];
xM = XX(301:end,:);
