datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'WorldMarketsLong';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
pritxt = 'USAindx';
tittxt = 'USA stock market index';
n = 300;
indx = 1;
toprint = 1;
alpha = 0.05;
ts = 1;
tmax = 20;

zalpha = norminv(1-alpha/2);
txtM = str2mat('USA','Australia','UnitedKingdom','Germany','Greece',...
    'Malaysia','SouthAfrica','Croatia');
%% Load the time series and plot it
eval(['yM=load(''',datdir,dattxt,'.dat'');'])
yV = yM(end-n+1:end,indx);
xV = diff(log(yV));
[acM] = autocor(xV, ts, tmax);
figure(1)
clf
paperfigure;
plot(acM(2:end,1),acM(2:end,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
plot([0 tmax],(zalpha/sqrt(n))*[1 1],'--c')
plot([0 tmax],-(zalpha/sqrt(n))*[1 1],'--c')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('r(\tau)')
title(sprintf('%s, Autocorrelation',tittxt));

if toprint 
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'aut.jpg'])
end
%% Postmanteau test
figure(2)
clf
paperfigure;
[hV,pV,QV] = portmanteauLB(xV,tmax,alpha,tittxt);
hold on
ax = axis;
plot([ax(1) ax(2)],alpha*[1 1],'--c') 
if toprint 
%    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'portmanteau.jpg'])
end

