% Plot series of two world financial indices, check stationarity 
clear all
close all
datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'WorldMarketsLong';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
n = 300;
indxV = [1 3]';
win = 100;
alpha = 0.01; % Significance level
toplot = 0;
toplothist = 0;
toprint = 1;

txtM = str2mat('USA','Australia','UnitedKingdom','Germany','Greece',...
    'Malaysia','SouthAfrica','Croatia');
%symbV = str2mat('''.-k''','''.--k''','''.-.k''','''.:k''','''.-c''',...
%    '''.--c''','''.-.c''','''.:c''','''.-r''','''.--r''','''.-.r''','''.:r''');
symbV = str2mat('''-k''','''-r''');
nindx = length(indxV);
%% Load the two time series and plot them
eval(['yM=load(''',datdir,dattxt,'.dat'');'])
yM = yM(end-n+1:end,indxV);
figure(1)
clf
paperfigure;
% set(gcf,'Position',[677 673 1000 300]);
hold on
for i=1:nindx
    eval(['plot(yM(:,i),',symbV(i,:),')'])
end
xlabel('day t')
ylabel('y(t)')
title(sprintf('%s and %s index',deblank(txtM(indxV(1),:)),...
    deblank(txtM(indxV(2),:))))
if toprint
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,deblank(txtM(indxV(1),:)),...
        deblank(txtM(indxV(2),:)),'ser.jpg'])
end

zM = diff(log(yM));
figure(2)
clf
paperfigure;
hold on
hold on
for i=1:nindx
    eval(['plot(zM(:,i),',symbV(i,:),')'])
end
xlabel('day t')
ylabel('x(t)')
title(sprintf('%s and %s returns',deblank(txtM(indxV(1),:)),...
    deblank(txtM(indxV(2),:))))
if toprint
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,deblank(txtM(indxV(1),:)),...
        deblank(txtM(indxV(2),:)),'returns.jpg'])
end





