close all
clear all
datdir = 'c:\MyFiles\Teach\Networks\Data\';
dattxt = 'GPIC2001_2005residual';
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
pritxt = dattxt;
tittxt = 'GIPC, Jan 2001 - Aug 2005';
toprint = 1;
alpha = 0.05;
ts = 1;
tmax = 20;

zalpha = norminv(1-alpha/2);
eval(['load ',datdir,dattxt,'.dat'])
eval(['xV = ',dattxt,';'])
n = length(xV);
[acM] = autocor(xV, ts, tmax);
figure(1)
clf
paperfigure;
plot(acM(2:end,1),acM(2:end,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
plot([0 tmax],(zalpha/sqrt(n))*[1 1],'--c')
plot([0 tmax],-(zalpha/sqrt(n))*[1 1],'--c')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('r(\tau)')
title(sprintf('%s, Autocorrelation',tittxt));

if toprint 
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'aut.jpg'])
end

figure(2)
clf
paperfigure;
[hV,pV,QV] = portmanteauLB(xV,tmax,alpha,tittxt);
hold on
ax = axis;
plot([ax(1) ax(2)],alpha*[1 1],'--c') 
if toprint 
%    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'portmanteau.jpg'])
end

