% Plot series of a world financial index, check stationarity 
clear all
datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'WorldMarketsLong';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
n = 300;
indx = 1;
win = 100;
alpha = 0.01; % Significance level
toplot = 0;
toplothist = 0;
toprint = 1;

txtM = str2mat('USA','Australia','UnitedKingdom','Germany','Greece',...
    'Malaysia','SouthAfrica','Croatia');
symbV = str2mat('''.-k''','''.--k''','''.-.k''','''.:k''','''.-c''',...
    '''.--c''','''.-.c''','''.:c''','''.-r''','''.--r''','''.-.r''','''.:r''');
%% Load the time series and plot them
eval(['xM=load(''',datdir,dattxt,'.dat'');'])
xV = xM(end-n+1:end,indx);
figure(1)
clf
paperfigure;
% set(gcf,'Position',[677 673 1000 300]);
plot(xV)
hold on
nseg = floor(n/win);
ax = axis;
for i=1:nseg
    plot(i*win*[1 1],[ax(3) ax(4)],'r')
    text((i-1)*win+win/3,ax(3)+0.2*(ax(4)-ax(3)),sprintf('mean=%4.1f',...
        mean(xV((i-1)*win+1:i*win))))
    text((i-1)*win+win/3,ax(3)+0.1*(ax(4)-ax(3)),sprintf('SD=%4.1f',...
        std(xV((i-1)*win+1:i*win))))
end
xlabel('day t')
ylabel('x(t)')
title(sprintf('%s index, Statistics in segments',deblank(txtM(indx,:))))
if toprint
    % set(gcf,'PaperOrientation','Landscape');
    set(gcf,'PaperPosition',[0 0 25 12])
    eval(['print -djpeg90 ',pridir,dattxt,'segstats.jpg'])
%     set(gcf,'Position',[1 65 1680 912])
%     print -dwinc 
end





