% Nonparametric (randomization) test of significance of correlation
% coefficient for the microarray data.
datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'Ecoliv4Build6Palsson03';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
toplot = 1;
toprint = 1;
nsur = 1000;

eval(['[xM,txtM,rawM]=xlsread(''',datdir,dattxt,'.xls'');'])
geneC = txtM(2:end,1);
experC = txtM(1,2:end);
[m,n]=size(xM);
count = 0;
rM = NaN*ones(m,m);
statM = NaN*ones(m*(m-1)/2,4); % col 1,2->t-stat,p-value, col 2,3->z-stat,p-value
prnkM = NaN*ones(m*(m-1)/2,2); % col 1-> order, col 2-> p-value
for i=1:m-1
    for j=i+1:m
        fprintf('pair (%d,%d) ... \n',i,j);
        tmpM = corrcoef(xM(i,:),xM(j,:));
        rM(i,j)=tmpM(1,2);
        count = count+1;
        statM(count,1) = sqrt(n-2)*rM(i,j)/sqrt(1-rM(i,j).^2);
        statM(count,2) = 2*(1-tcdf(abs(statM(count,1)),n-2));
        statM(count,3) = sqrt(n-3)*0.5*log((1+rM(i,j))/(1-rM(i,j)));
        statM(count,4) = 2*(1-normcdf(abs(statM(count,3))));
        rsurV = NaN*ones(nsur+1,1);
        rsurV(1)=rM(i,j);
        for isur=1:nsur
            yV = xM(j,randperm(n));
            tmpM = corrcoef(xM(i,:),yV);
            rsurV(isur+1)=tmpM(1,2);
            [orV, irV]=sort(rsurV);
            prnkM(count,1)=find(irV==1);
            if prnkM(count,1)>nsur/2
                prnkM(count,2) = 2*(1-(prnkM(count,1)-0.326)/(nsur+1+0.348));
            else
                prnkM(count,2) = 2*(prnkM(count,1)-0.326)/(nsur+1+0.348);
            end
        end
        if toplot
            figure(count)
            clf
            paperfigure;
            hist(rsurV(2:end));
            hold on
            ax = axis;
            plot(rsurV(1)*[1 1],[ax(3) ax(4)],'r')
            title(sprintf('r_{%s,%s}',geneC{i},geneC{j}))
            if toprint
                eval(['print -djpeg90 ',pridir,dattxt,'rrand',int2str(count),'.jpg'])
            end
        end
    end
end
[statM(:,[1 3]) prnkM(:,1)]
[statM(:,[2 4]) prnkM(:,2)]




