function [XX] = unidcoupledhenon(n,C)
% function [XX] = unidcoupledhenon(n,C)
% Unidirectional coupled henon map
% INPUTS
% - n  : time series length
% - C  : coupling strength (0 <= C <=1)
% OUTPUTS
% - XX : matrix (n x 2), each column is a time series
% XX(:,1) : driving
% XX(:,2) : response

x0limV = [-1 1 -0.3 0.3]'; 
x1(1)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))]; 
y1(1)=[(x0limV(2)-rand)/(x0limV(2)-x0limV(1))];
x2(1)=[(x0limV(4)-rand)/(x0limV(4)-x0limV(3))];
y2(1)=[(x0limV(4)-rand)/(x0limV(4)-x0limV(3))];
ind=0;
while ind ==0
    for i=1:n-1+300
        x1(i+1)= 1.4 - x1(i)^2 + 0.3*x2(i);
        x2(i+1)= x1(i);
        y1(i+1)= 1.4 - (C*x1(i)*y1(i) + (1-C)*y1(i)^2)+0.3*y2(i);
        y2(i+1)=y1(i);
    end
    XX=[x1' y1'];
    XX=XX(301:end,:);
    if sum(sum(XX))~=Inf || sum(sum(XX))~=-Inf || sum(sum(XX))~=NaN
        ind=1;
    end
end